# Radius Auto Info

## Get Auto Info

> Retrieve information about MFA Radius Auto Info List.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAutoInfo":{"get":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Get Auto Info","description":"Retrieve information about MFA Radius Auto Info List.","operationId":"12e19531-c38f-424a-b270-be2e16c6fe76","parameters":[{"name":"id","in":"path","description":"The ID of a MFA for which to retrieve the MFA Radius Auto Info List.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/MFARadiusAutoInfo"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"MFARadiusAutoInfo":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"autoSend":{"type":"boolean","description":"<para type=\"description\">Whether the RADIUS Automation autoSend is enabled or not</para>"},"command":{"type":"string","description":"<para type=\"description\">RADIUS Automation command</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether RADIUS Automation is enabled/disabled</para>"},"image":{"$ref":"#/components/schemas/ImageType"},"description":{"type":"string","description":"<para type=\"description\">RADIUS Description</para>","nullable":true},"actionMessage":{"type":"string","description":"<para type=\"description\">RADIUS Action Message</para>","nullable":true},"title":{"type":"string","description":"<para type=\"description\">RADIUS Automation title</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">MFA Radius Auto Info Settings</para>\r\n<para type=\"description\"></para>"},"ImageType":{"enum":[["100 = Alert","101 = Message","102 = Email","103 = Call","104 = Chat","105 = Flag"]],"type":"string","description":"<para type=\"synopsis\">Image Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add Auto Info

> Add a new Radius Auto Info to a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAutoInfo":{"post":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Add Auto Info","description":"Add a new Radius Auto Info to a site.","operationId":"28325a61-17f4-413e-b3fa-a46b5d85d131","parameters":[{"name":"id","in":"path","description":"MFA settings","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"MFA Radius Auto Info","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddMFARadiusAuto"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/MFARadiusAutoInfo"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddMFARadiusAuto":{"required":["command","title"],"type":"object","properties":{"command":{"maxLength":100,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation command</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the RADIUS Automation is enabled/disabled</para>"},"image":{"$ref":"#/components/schemas/ImageType"},"title":{"maxLength":20,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation title</para>","nullable":true},"actionMessage":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation action message</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">RADIUS Automation description</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a RADIUS Automation to Multi-factor authentication settings</para>\r\n<para type=\"description\"></para>"},"ImageType":{"enum":[["100 = Alert","101 = Message","102 = Email","103 = Call","104 = Chat","105 = Flag"]],"type":"string","description":"<para type=\"synopsis\">Image Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"MFARadiusAutoInfo":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"autoSend":{"type":"boolean","description":"<para type=\"description\">Whether the RADIUS Automation autoSend is enabled or not</para>"},"command":{"type":"string","description":"<para type=\"description\">RADIUS Automation command</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether RADIUS Automation is enabled/disabled</para>"},"image":{"$ref":"#/components/schemas/ImageType"},"description":{"type":"string","description":"<para type=\"description\">RADIUS Description</para>","nullable":true},"actionMessage":{"type":"string","description":"<para type=\"description\">RADIUS Action Message</para>","nullable":true},"title":{"type":"string","description":"<para type=\"description\">RADIUS Automation title</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">MFA Radius Auto Info Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update Auto Info

> Update Radius Auto Info from a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAutoInfo/{radiusautoid}":{"put":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Update Auto Info","description":"Update Radius Auto Info from a site.","operationId":"b988d2a8-b14b-4a72-a6f4-0703359bed5e","parameters":[{"name":"id","in":"path","description":"The ID of a MFA to update a RadiusAutoInfo from the site.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"radiusautoid","in":"path","description":"The ID of a RadiusAutoInfo to update.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Radius Auto Info entry.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetMFARadiusAuto"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetMFARadiusAuto":{"type":"object","properties":{"autoSend":{"type":"boolean","description":"<para type=\"description\">Whether the RADIUS Automation autoSend is enabled or not</para>","nullable":true},"command":{"maxLength":100,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation command</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the RADIUS Automation is enabled/disabled</para>","nullable":true},"image":{"$ref":"#/components/schemas/ImageType"},"description":{"type":"string","description":"<para type=\"description\">RADIUS Automation description</para>","nullable":true},"actionMessage":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation action message</para>","nullable":true},"newTitle":{"maxLength":20,"minLength":0,"type":"string","description":"<para type=\"description\">RADIUS Automation title</para>","nullable":true},"priority":{"$ref":"#/components/schemas/MoveDirection"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update a RADIUS Automation to Multi-factor authentication settings</para>\r\n<para type=\"description\"></para>"},"ImageType":{"enum":[["100 = Alert","101 = Message","102 = Email","103 = Call","104 = Chat","105 = Flag"]],"type":"string","description":"<para type=\"synopsis\">Image Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"MoveDirection":{"enum":[["0 = Up","1 = Down"]],"type":"string","description":"<para type=\"synopsis\">Move Direction.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete Auto Info

> Delete a Radius Auto Info from a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFA/{id}/RadiusAutoInfo/{radiusautoid}":{"delete":{"tags":["2-Site settings/Multi-factor Authentication//0-Basic Operations"],"summary":"Delete Auto Info","description":"Delete a Radius Auto Info from a site.","operationId":"b98e04f9-96ab-4227-85b7-cb8e1069d4e3","parameters":[{"name":"id","in":"path","description":"The ID of a MFA to remove a RadiusAutoInfo from the site.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"radiusautoid","in":"path","description":"The ID of a RadiusAutoInfo to remove from the site.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/radius-auto-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
